Skip to main content
POST
/
environment
/
{environmentId}
/
checkDockerfile
Check dockerfile configuration is correct
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/checkDockerfile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "git_repository": {
    "url": "https://github.com/Qovery/simple-node-app",
    "provider": "BITBUCKET",
    "branch": "feat/text_xxx",
    "root_path": "/",
    "git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "dockerfile_path": "<string>"
}
'
{
  "dockerfile_path": "<string>",
  "arg": [
    "<string>"
  ],
  "repositories": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
git_repository
object
required
dockerfile_path
string
required

path of the dockerfile with root_path as base path

Response

Information about the dockerfile

dockerfile_path
string
required
arg
string[]

All ARG variable declared in the Dockerfile

repositories
string[]

All image repositories we found declared in the Dockerfile